{ *************************************************************************** }
{                                                                             }
{ EControl Syntax Editor SDK                                                  }
{                                                                             }
{ Copyright (c) 2004 - 2008 EControl Ltd., Zaharov Michael                    }
{     www.econtrol.ru                                                         }
{     support@econtrol.ru                                                     }
{                                                                             }
{ *************************************************************************** }
{$I ecSyntEdit.INC}

unit ecPageSetupForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ecPageSetupBase, ecSyntAnal, ecSyntMemo, StdCtrls, ExtCtrls, ecPrint,
  ecPopupCtrl;

type
  TPageSetupFormDlg = class(TPageSetupBaseDlg)
    ComboBox3: TComboBox;
    Label8: TLabel;
  private
    { Private declarations }
  public
    procedure SetParams(ecPrinter: TecCustomPrinter); override;
    procedure GetParams(ecPrinter: TecCustomPrinter); override;
  end;

implementation

{$R *.dfm}

{ TPageSetupFormDlg }

procedure TPageSetupFormDlg.GetParams(ecPrinter: TecCustomPrinter);
begin
  inherited;
  TecFormPrinter(ecPrinter).PrintScale := TPrintScale(ComboBox3.ItemIndex);
end;

procedure TPageSetupFormDlg.SetParams(ecPrinter: TecCustomPrinter);
begin
  inherited;
  ComboBox3.ItemIndex := integer(TecFormPrinter(ecPrinter).PrintScale);
end;

end.
